### Virtual Method

# Gtk Editable insert_text

#### Declaration [src]

    void
    insert_text (
      GtkEditable* editable,
      const char* text,
      int length,
      int* position
    )

#### Description [src]

Inserts `length` bytes of `text` into the contents of the widget, at position `position`.

Note that the position is in characters, not in bytes. The function updates `position` to point after the newly inserted text.

#### Parameters

`text` | `const char*`
| The text to append.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| The length of the text in bytes, or -1.
`position` | `int*`
| Location of the position text will be inserted at.
| The argument will be modified by the function.
| The called function takes ownership of the data, and is responsible for freeing it.